/**
 * 请勿将俱乐部专享资源复制给任何人，保护知识产权即是保护我们所在的行业，进而保护我们自己的利益
 * 即便是公司的同事，也请尊重 JFinal 作者的努力与付出，不要复制给同事
 * <p>
 * 如果你尚未加入俱乐部，请立即删除该项目，或者现在加入俱乐部：http://jfinal.com/club
 * <p>
 * 俱乐部将提供 jfinal-club 项目源码、直播视频、专用 QQ 群，以及作者在俱乐部定期的分享与答疑，
 * 价值远比仅仅拥有 jfinal club 项目源代码要大得多，俱乐部福利资源是不断增加的，以下是俱乐部
 * 新福利计划：
 * https://jfinal.com/club/1-2
 * <p>
 * JFinal 俱乐部是七年以来首次寻求外部资源的尝试，以便于创建更加高品质的产品与服务，为你带来
 * 更多、更大的价值
 * <p>
 * JFinal 项目的可持续性发展需要你的支持！！！
 */

package com.jfinal.club._admin.help;

import com.jfinal.aop.Inject;
import com.jfinal.club.common.model.Helps;
import com.jfinal.kit.Ret;
import com.jfinal.kit.StrKit;
import com.jfinal.plugin.activerecord.Page;

import java.util.Date;


/**
 * project 管理业务
 */
public class HelpAdminService {


    @Inject
    private Helps helpsdao = new Helps().dao();

    public Page<Helps> helpsPage(int pageNum, String text) {
        String parm = "";
        if (!StrKit.isBlank(text)) {
            parm = "%" + text + "%";
        } else {
            parm = "%%";
        }
        return helpsdao.paginate(pageNum, 10, "select *", "from helps where name like ? order by sort desc", parm);
    }

    public Helps getHelpsById(int id) {
        return helpsdao.findById(id);
    }

    public Ret deleteById(int id) {
        boolean b = helpsdao.deleteById(id);
        if (b) {
            return Ret.ok("msg", "删除成功");
        } else {
            return Ret.fail("msg", "删除失败");
        }
    }


    public Ret updates(Helps helps) {
        helps.setAddtime(new Date());
        if (helps.getSort() == null) {
            helps.setSort(0);
        }
        boolean b = helps.update();
        if (b) {
            return Ret.ok("msg", "修改成功");
        } else {
            return Ret.fail("msg", "修改失败");
        }
    }


    public Ret save(Helps helps) {
        if (helps.getSort() == null) {
            helps.setSort(0);
        }
        helps.setAddtime(new Date());
        boolean b = helps.save();
        if (b) {
            return Ret.ok("msg", "保存成功");
        } else {
            return Ret.fail("msg", "保存失败");
        }
    }

}
